Docs
Add Folder Link
POST /Drives/{driveId}/folders/{folderId}/links
POST
/Drives/{driveId}/folders/{folderId}/linksCreates a shareable link to a folder with a name and a list of permissions (stored and returned to viewers, not enforced); the link can be opened without signing in via Drives_GetDriveLink. Needs admin access to the folder's location. To share a single file, use Drives_AddFileLink.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| folderId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| permissions | string[] | Optional |